package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.user.info.UserHireSearchListDto;
import com.crm.rely.backend.core.dto.user.info.UserReferralDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.custom.info.InfoEntity;
import com.crm.rely.backend.core.entity.user.info.UserHireAddEntity;
import com.crm.rely.backend.core.entity.user.info.UserHireSearchEntity;
import com.crm.rely.backend.core.entity.user.info.UserHireUpdateEntity;
import com.crm.rely.backend.core.entity.user.info.UserReferralEntity;

public interface UserHireService {

    String getUrl(UserHireUpdateEntity entity) throws Exception;

    void add(UserHireAddEntity entity) throws Exception;

    void update(UserHireUpdateEntity entity) throws Exception;

    UserHireSearchListDto searchSingle(SingleLongEntity entity) throws Exception;

    ResultWithPagerDto<UserHireSearchListDto> searchPageList(UserHireSearchEntity entity) throws Exception;

    void updateStatus(UserHireUpdateEntity entity) throws Exception;

    ResultWithPagerDto<UserReferralDto> getReferralList(UserReferralEntity entity);
}
